#
# spec file for package xorg-x11-driver-video (Version 7.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel fonts-config freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch pcre pcre-devel perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-core xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-server xorg-x11-server-sdk xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xorg-x11-driver-video
BuildRequires:  Mesa-devel libdrm-devel pkgconfig xorg-x11-proto-devel xorg-x11-server-sdk
Url:            http://xorg.freedesktop.org/
Version:        7.2
Release:        189.2
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/X11/Servers/XF86_4
Provides:       xorg-x11-driver-video-nvidia
Obsoletes:      xorg-x11-driver-video-nvidia
Summary:        X.Org video drivers
Source0:        xf86-video-apm-X11R7.1-1.1.1.tar.bz2
Source1:        xf86-video-ark-X11R7.1-0.6.0.tar.bz2
Source2:        xf86-video-ast-X11R7.1-0.81.0.tar.bz2
Source3:        xf86-video-ati-6.6.193.tar.bz2
Source4:        xf86-video-chips-X11R7.1-1.1.1.tar.bz2
Source5:        xf86-video-cirrus-X11R7.1-1.1.0.tar.bz2
Source6:        xf86-video-cyrix-X11R7.1-1.1.0.tar.bz2
Source7:        xf86-video-dummy-X11R7.1-0.2.0.tar.bz2
Source8:        xf86-video-fbdev-0.3.1.tar.bz2
Source9:        xf86-video-glint-X11R7.1-1.1.1.tar.bz2
Source10:       xf86-video-i128-1.2.1.tar.bz2
Source11:       xf86-video-i740-X11R7.1-1.1.0.tar.bz2
Source12:       xf86-video-i810-1.7.4.tar.bz2
Source13:       xf86-video-imstt-X11R7.1-1.1.0.tar.bz2
Source14:       xf86-video-mga-1.4.7.tar.bz2
Source15:       xf86-video-neomagic-X11R7.1-1.1.1.tar.bz2
Source16:       xf86-video-newport-0.2.1.tar.bz2
Source17:       xf86-video-nsc-2.8.3.tar.bz2
Source18:       xf86-video-nv-2.1.3.tar.bz2
Source19:       xf86-video-rendition-4.1.3.tar.bz2
Source20:       xf86-video-s3-0.5.0.tar.bz2
Source21:       xf86-video-s3virge-X11R7.1-1.9.1.tar.bz2
Source22:       xf86-video-savage-2.1.3.tar.bz2
Source23:       xf86-video-siliconmotion-1.5.1.tar.bz2
Source24:       xf86-video-sis-0.9.3.tar.bz2
Source25:       xf86-video-sisusb-X11R7.1-0.8.1.tar.bz2
Source33:       xf86-video-tdfx-1.3.0.tar.bz2
Source34:       xf86-video-tga-X11R7.1-1.1.0.tar.bz2
Source35:       xf86-video-trident-1.2.3.tar.bz2
Source36:       xf86-video-tseng-1.1.1.tar.bz2
Source37:       xf86-video-v4l-X11R7.1-0.1.1.tar.bz2
Source38:       xf86-video-vesa-1.3.0.tar.bz2
Source39:       xf86-video-vga-X11R7.1-4.1.0.tar.bz2
Source40:       xf86-video-via-0.2.2.tar.bz2
Source41:       xf86-video-vmware-10.15.0.tar.bz2
Source42:       xf86-video-voodoo-1.1.1.tar.bz2
Source43:       xf86-video-impact-0.2.0.tar.bz2
Source44:       HALlib-4.1.tar.gz
Source45:       xf86-video-intel-2.1.1.tar.bz2
Source46:       xf86-video-ati-6.7.192.tar.bz2
Source48:       xf86-video-mga.randr12-20070816.tar.bz2
Source49:       xf86-video-unichrome-20070511.tar.bz2
Source50:       xf86-video-xgi-1.5.0.tar.bz2
Source51:       xf86-video-amd-2.7.7.0.tar.bz2
Source52:       xf86-video-ati-6.6.3.tar.bz2
Patch:          xf86-video-intel.diff
Patch1:         radeon-xrandr-dotclock.diff
Patch2:         radeon_dell.diff
Patch3:         ps_nv.diff
Patch5:         mga-g200se_pci-fix.diff
Patch10:        xf86-video-tdfx.diff
Patch11:        xf86-video-glint.diff
Patch12:        xf86-video-mga-hal.diff
Patch14:        xf86-video-rendition.diff
Patch16:        xf86-video-nsc.diff
Patch18:        radeon-vbios-ppc.diff
Patch27:        xf86-video-ati-mergedfb-dpi.diff
Patch28:        xf86-video-ati.randr12.diff
Patch30:        xf86-video-mga.randr12.diff
Patch31:        xf86-video-ati-mergedfb-disable.diff
Patch33:        bug-263199_radeon-autocrt.diff
Patch34:        radeon-Fix-CRT-on-RS400.diff
Patch36:        xf86-video-intel-xvmc_i915_i945.diff
Patch37:        xf86-video-ati-AGPFastWrite-risk-reduction.diff
Patch38:        xf86-video-intel-xvmc_i915_i945-1.diff
Patch39:        xf86-video-ati-bug296856.diff
Patch40:        xf86-video-unichrome.diff
Patch41:        xf86-video-xgi.diff
Patch42:        xf86-video-ati-opma.diff
Patch43:        xf86-video-nv-g80_lvds_detect.diff
Patch44:        xf86-video-ati.radeonold.diff
Patch45:        xf86-video-nv-new_products.diff
Patch46:        xf86-video-ati-disable_rmx_dell_rn50.diff
Patch47:        xf86-video-vmware-10.15.0.diff

%description
This package contains X.Org video drivers.



%debug_package
%prep
%setup -T -c %{name}
for i in $RPM_SOURCE_DIR/*.tar.bz2; do tar xjf $i; done
# Geode LX/GX is x86 only
%ifnarch %ix86
rm -rf xf86-video-amd*
%endif
ln -snf ati.man xf86-video-ati-6.7.192/man/atirandr12.man
ln -snf r128.man xf86-video-ati-6.7.192/man/r128randr12.man
ln -snf radeon.man xf86-video-ati-6.7.192/man/radeonrandr12.man
ln -snf mga.man xf86-video-mga.randr12/man/mgarandr12.man
pushd xf86-video-ati-6.7.192
%patch28 -p1
popd
ln -snf ati.man xf86-video-ati-6.6.3/man/atiold.man
ln -snf r128.man xf86-video-ati-6.6.3/man/r128old.man
ln -snf radeon.man xf86-video-ati-6.6.3/man/radeonold.man
pushd xf86-video-ati-6.6.3
%patch44 -p1
popd
%patch30
pushd xf86-video-intel-*
%patch -p0
%patch36 -p1
%patch38 -p1
popd
pushd xf86-video-ati-6.6.193/src
%patch1 -p1
### disabled (obsolete?) (Bug #138458)
#%patch2 -p0
%patch18 -p1
%patch27 -p0
popd
pushd xf86-video-ati-6.6.193
%patch33 -p1
%patch31 -p0
%patch34 -p1
%patch37 -p1
%patch39 -p1
%patch42 -p1
%patch46 -p1
popd
pushd xf86-video-nv-*/src
%patch3 -p6
%patch43 -p2
%patch45 -p2
popd
pushd xf86-video-mga-*/src
tar xzf %{SOURCE44}
%patch5 -p1
%ifarch %ix86
%patch12 -p1
%endif
popd
pushd xf86-video-tdfx-*
%patch10
popd
pushd xf86-video-glint-*
%patch11
popd
pushd xf86-video-rendition-*
%patch14
popd
pushd xf86-video-nsc-*
%patch16
popd
pushd xf86-video-unichrome
%patch40
mv man/{via,unichrome}.man
popd
pushd xf86-video-xgi-*
%patch41
popd
pushd xf86-video-vmware-*
%patch47
popd

%build
for dir in xf86-video-nv-* \
           *.randr12 xf86-video-ati-6.7.* xf86-video-ati-6.6.3 \
           xf86-video-unichrome \
           $(ls | grep -v -e xf86-video-impact \
                          -e xf86-video-nv \
                          -e randr12 \
                          -e xf86-video-ati-6.6.3 \
                          -e xf86-video-ati-6.7 \
                          -e xf86-video-unichrome \
            ); do
  pushd $dir
    case $dir in
      xf86-video-mga-*  | \
      xf86-video-intel-*  | \
      *.randr12 | \
      xf86-video-ati-6.6.3 | \
      xf86-video-ati-6.7.* | \
      xf86-video-unichrome | \
      xf86-video-nsc-*) autoreconf -fi ;;
                     *) ;;
    esac
    ./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
                --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
    make
  popd
done

%install
for dir in xf86-video-nv-* \
           *.randr12 \
           xf86-video-ati-6.6.3 \
           xf86-video-ati-6.7.* \
           xf86-video-unichrome \
           $(ls | grep -v -e xf86-video-impact \
                          -e xf86-video-nv \
                          -e randr12 \
                          -e xf86-video-ati-6.6.3 \
                          -e xf86-video-ati-6.7 \
                          -e xf86-video-unichrome \
            ); do
  make -C $dir install DESTDIR=$RPM_BUILD_ROOT
done
ln -snf nv_drv.so \
        $RPM_BUILD_ROOT/usr/%{_lib}/xorg/modules/drivers/nvidia_drv.so
%ifarch %ix86
pushd xf86-video-mga-*/src
gcc -m32 \
    -o $RPM_BUILD_ROOT/usr/%{_lib}/xorg/modules/drivers/mga_hal_drv.so \
    -shared \
    .libs/mga_halmod.o .libs/clientlx.o HALlib/mgaHALlib.a \
    -Wl,-Bstatic -Wl,-Bdynamic
popd
%endif
# prevent (acpi) video kernel module from loading (Bug #260675)
mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d/
echo "install video /bin/true" > $RPM_BUILD_ROOT/etc/modprobe.d/%{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%files
%defattr(-,root,root)
/etc/modprobe.d/%{name}
/usr/%{_lib}/lib*
/usr/%{_lib}/xorg/modules/
%{_mandir}/man4/*

%changelog
* Wed Feb 06 2008 - sndirsch@suse.de
- xf86-video-vmware-10.15.0.diff
  * disable RENDER support in vmware driver to workaround Xserver
  crashes when using gdm (Bug #353489)
* Mon Sep 24 2007 - sndirsch@suse.de
- xf86-video-ati-disable_rmx_dell_rn50.diff
  * disable RMX for all Dell Servers with RN50 chips (Bug #327682)
- make sure to apply the radeon driver patches for ATI 6.6.193
* Tue Sep 18 2007 - sndirsch@suse.de
- xf86-video-nv-new_products.diff:
  * Fix uninitialized variable warning
  * New G80 products
* Thu Sep 13 2007 - sndirsch@suse.de
- added "stable" 6.6.3 ATI driver; available as "radeonold"
* Wed Sep 12 2007 - sndirsch@suse.de
- xf86-video-nv-g80_lvds_detect.diff:
  * G80: Fix LVDS detection on some laptops
* Tue Sep 11 2007 - sndirsch@suse.de
- removed superfluous sun video drivers (Bug #309417)
* Fri Sep 07 2007 - sndirsch@suse.de
- 'Requires: 915resolution' no longer reuqired (Bug #299829)
* Fri Sep 07 2007 - sndirsch@suse.de
- radeonrandr12 driver:
  * load the correct kernel module (radeonrandr12 --> radeon)
* Fri Sep 07 2007 - sndirsch@suse.de
- xf86-video-nsc 2.8.3
  * This release is an untested build fix for the 7.3 release.
- xf86-video-mga 1.4.7
- adjusted mga-g200se_pci-fix.diff
* Wed Sep 05 2007 - sndirsch@suse.de
- xf86-video-ati-opma.diff:
  * get monitor DDC from VGA_DDC line first (Bug #307074)
* Sun Sep 02 2007 - sndirsch@suse.de
- added amd driver (release 2.7.7.0)
  * X graphics driver for the AMD Geode GX and LX processors.
  The GX driver features XAA and EXA support for graphics
  acceleration, and the LX driver supports EXA (including
  compositing). Both drivers suppport dynamic rotation with
  XRandR, and Xv overlay support.
* Tue Aug 28 2007 - sndirsch@suse.de
- added xgi driver (release 1.5.0)
  "This is the initial release (despite the 1.5.0 version number)
  of the driver for XGI V3XT / V3XE / V5 / V8 and Z7 / Z9 based
  video cards. This driver is based on source code and
  documentation released by XGI. Much of the original code was
  written by Thomas Winischhofer.
* Mon Aug 27 2007 - sndirsch@suse.de
- xf86-video-unichrome-20070511.tar.bz2/xf86-video-unichrome.diff
  * via driver from Unichrome Project (renamed to 'unichrome')
* Mon Aug 27 2007 - sndirsch@suse.de
- radeonrandr12:
  * updated to latest RANDR 1.2 capable ATI driver 6.7.192
  * fix vga output on IGP chips
  * fix Xv clipping issues
  * rotation works (EXA composite is busted for rotation though,
  use XAA or disable render accel for now)
  * fix LVDS detection on ATOM bios
  * fix depth 16
* Fri Aug 24 2007 - sndirsch@suse.de
- radeonrandr12:
  * updated to latest RANDR 1.2 capable ATI driver 6.7.191
  * "In addition to randr support there are quite a few other
  goodies: zero copy tfp, improved connector table parsing,
  TV-out support, and much more."
* Mon Aug 20 2007 - sndirsch@suse.de
- xf86-video-ati-bug296856.diff:
  * set default virtualX and virtualY to max resolution that
  display supports (Bug #296856)
* Fri Aug 17 2007 - sndirsch@suse.de
- savage 2.1.3
  * Strip ^M's out of savage_driver.h
  * clean up some leftover cruft.
  * small exa fix ups, remove an errant comment
  * Get Solid() working again
  * final odds and ends for exa
  * fix console corruption due to invalid shadow status
  * fix segfault in SavageDoAdjustFrame() on server 1.3
  * Add panel native mode automatically.
  * Unmap mem before freeing driverPrivate
  * Define SAVAGE_VERSION* using PACKAGE_VERSION*
  * disable randr when savage rotation is enabled
  * fix savage respawn crash
  * Fixed a markup error.
  * Add "DRI" option to enable/disable DRI support
- only require 915resolution on %%ix86/x86_64 (Bug #301304)
* Thu Aug 16 2007 - sndirsch@suse.de
- updated mga/ati randr12 drivers to current git (2007-08-16)
* Thu Aug 16 2007 - sndirsch@suse.de
- updated nv driver to release 2.1.2
  * Bug #4686: Fix a minor GeForceFX + flatpanel + video overlay
  corruption issue.
  * G80: Add an LVDS flat panel scaling property.
  * G80: Allow DVI scaling.
- obsoletes xf86-video-nv.diff
* Tue Aug 14 2007 - sndirsch@suse.de
- updated to intel bugfix driver release 2.1.1
  * Fix typo in intel.man
  * Allow 965 composite acceleration to A8 destinations.
  * i965: fix memcpy of the sf_kernel when a mask is needed
  * i965: increase composite vertex buffer size and alignment to be
  safe
  * Fix some physical address handling for >4GB addresses.
  * Quirk away the nonexistent TV connector on the Panasonic CF-Y4.
  * Add the file mode for bios_dumper output so it doesn't have 000
  permissions.
  * Bug #11593: Remove dead struct vch_bdb_20 which was angering
  the sun compiler.
  * Legacy backlight changes: - add support for 965GM - make sure
  legacy enabled systems don't reduce the range of backlight
  values we can present to the user
  * Eliminate bogus (and harmful) blanking adjustment for load
  detect.
  * Ensure pipe/output active before doing load detection.
  * Remove hard-coded CRT blanking frobbing for load detection.
  * Clean up tv mode name allocation and copy.
  * Add quirk support
  * Add another Lenovo TV output quirk
  * Fix device id info for 945GME, 965GME
  * Update Lenovo TV quirk info
- obsoletes xf86-video-intel-commit-6f18300.diff
* Mon Aug 13 2007 - sndirsch@suse.de
- added 'Requires: 915resolution' (i810 driver)
* Sat Aug 11 2007 - sndirsch@suse.de
- prevent (acpi) video kernel module from loading (Bug #260675)
- cleanup
* Fri Aug 10 2007 - sndirsch@suse.de
- xf86-video-intel-xvmc_i915_i945-1.diff:
  * disable subpicture initial. until we really implement it, OSD
  can't work for now. (related to Bug #296982)
* Wed Aug 08 2007 - sndirsch@suse.de
- xf86-video-ati-AGPFastWrite-risk-reduction.diff:
  * Verbosely warn about the detrimental effects of the
  AGPFastWrite option. (Bug #298465)
* Wed Aug 08 2007 - sndirsch@suse.de
- xf86-video-intel-xvmc_i915_i945.diff:
  * basic XvMC support for i915/945 hardware (Bug #296982)
* Mon Aug 06 2007 - sndirsch@suse.de
- xf86-video-intel-commit-6f18300.diff:
  * fixes 1680x1050 mode on TMDS-1 output again
  (commit 6f18300aed1340348c6d395f326061b5315be643
  Author: Keith Packard <keithp@neko.keithp.com>
  Date:   Mon Jul 9 21:29:55 2007 -0700
  Eliminate bogus (and harmful) blanking adjustment for load detect.
  Instead of always adding blanking to mode lines, use the FORCE_BORDER
  option on i9xx hardware where it works, and dynamically add a bit of
  border if necessary on i8xx hardware to make load detection work.
  This may cause flashing when a usable crtc is not otherwise idle when
  load detection is requested.
- obsoletes xf86-video-intel-commit-1e2e301.diff
* Sat Aug 04 2007 - sndirsch@suse.de
- update ati driver to release 6.6.193:
  * This is another ati driver RC aimed at server 1.3. Still not
  randr-1.2. It contains a bunch of fixes for the upcoming (I
  swear) 6.7 release. Main features: fix a serious crasher in
  DPMS code, addition of EXA hook for zero-copy TFP and RS480
  support. Along with numerous other cleanups. There is a blocker
  bug 11749 for the 6.7 release in bugs.freedesktop.org
- obsoletes xf86-video-ati-rs482-singledac.diff
- obsoletes radeon-Clean-up-PortInfo-to-CRTC-mapping.diff
- obsoletes radeon-Fix-the-last-instance-of-RadeonUnblank.diff
- adjusted radeon-Fix-CRT-on-RS400.diff
- updated mga/ati randr12 drivers to current git (2007-08-04)
* Wed Jul 25 2007 - sndirsch@suse.de
- xf86-video-nv.diff:
  * G80: Allow DVI scaling. Revamp how the scaling code works. When
  a mode is set on a DVI output, determine the current preferred
  mode and scale to that. Add a new scaling option, "off", which
  disables scaling and scans out the actual timings in the mode
  to be set.
  * Nuke old RCS tags. Fix the ends of files. Update the known
  cards date.
* Fri Jul 20 2007 - sndirsch@suse.de
- xf86-video-intel-commit-1e2e301.diff
  * revert this one since it broke 1680x1050 mode on TMDS-1 output
  (monitor gets 1680x1053 instead)
  (commit 1e2e301348b4168aeed38b3fdc6b0e43d5678a86
  Author: Keith Packard <keithp@dulcimer.keithp.com>
  Date:   Sat Jun 30 12:45:24 2007 -0700
  Fix load detection to use border region instead of blanking.
  Make sure there is some border area to use by changing how the
  pipe is configured, then pick a scanline in the middle of the
  border for load detection. This lets the load detect code use
  an active pipe instead of requiring an idle one.)
* Wed Jul 18 2007 - sndirsch@suse.de
- radeon-Fix-the-last-instance-of-RadeonUnblank.diff:
  * Server crashed with missing symbol RadeonUnblank, this was
  changed to RadeonBlank(pScrn, FALSE) and now it's dandy.
  Reason why this wasn't spotted right away is that this widely
  used and oft hacked on driver doesn't even enable all warnings
  (-Wall) on gcc. (Bug #264720)
* Tue Jul 17 2007 - sndirsch@suse.de
- radeon-Clean-up-PortInfo-to-CRTC-mapping.diff:
  * Clean up PortInfo to CRTC mapping. Also sanitise blanking and
  DPMS functions (Bug #264720)
* Mon Jul 16 2007 - sndirsch@suse.de
- radeon-Fix-CRT-on-RS400.diff:
  * fixes black screen on external VGA output of ATI XPress 200.
  Cause: bad entry in the BIOS connector table (Bug #276475)
* Mon Jul 16 2007 - sndirsch@suse.de
- xf86-video-nv.diff:
  * G80: Add an LVDS flat panel scaling property. This property
  controls how non-native resolutions are scaled to the native
  resolution.  Valid values are:
    - center: 1:1 pixel ratio with black borders to center the
  image.
    - fill: Scale image to the native resolution.
    - aspect: Scale image to fit the screen, adding black bars to
  preserve square pixels.
  Defaults to "aspect". Change with
  "xrandr --output LVDS --set scale <foo>".
* Tue Jul 10 2007 - sndirsch@suse.de
- xf86-video-nv.diff:
  * Bug #4686: Fix a minor GeForceFX + flatpanel + video overlay
  corruption issue. This change was originally in XFree86 CVS,
  nv_dac.c version 1.36 but got reverted accidentally.
* Tue Jul 10 2007 - sndirsch@suse.de
- updated nv driver to release 2.1.2
  * This release fixes the LVDS display on certain MacBooks and
  laptops with certain native flat panel modes (typically
  1440x900). It also adds a "dither" RandR 1.2 output property
  and a corresponding "FPDither" xorg.conf option for 6-bit flat
  panels.
- obsoletes xf86-video-nv.diff
* Mon Jul 09 2007 - sndirsch@suse.de
- xf86-video-nv.diff
  * support for GeForce 8600M GT
  * Work around more MacBook wackiness. Turn off more corrupt the
  framebuffer mode.  Don't mess with the pixel clock for LVDS as
  long as we're trusting the VBIOS-programmed timings.
* Wed Jul 04 2007 - sndirsch@suse.de
- xf86-video-nv.diff:
  * Put the GPU into don't corrupt the framebuffer mode to work
  around MacBook wackiness.
* Tue Jul 03 2007 - sndirsch@suse.de
- updated to intel driver release 2.1.0
* Tue Jul 03 2007 - sndirsch@suse.de
- updated nv driver to release 2.1.1
- obsoletes xf86-video-nv.diff
* Mon Jul 02 2007 - sndirsch@suse.de
- xf86-video-nv.diff:
  * support for GeForce 8400M G
  * Support configs with BAR1 < total RAM < 256 MB
* Tue Jun 19 2007 - sndirsch@suse.de
- updated nv driver to release 2.1.0
  * Fix some random colormap corruption on DFPs with certain
  pre-G80 GPUs.
  * Fix build. Including xf86DDC.h before we include xf86.h doesn't
  fly (Benjamin Herrenschmidt)
- obsoletes xf86-video-nv-g80.diff
* Sat Jun 09 2007 - sndirsch@suse.de
- xf86-video-nv-g80.diff:
  G80: Mode validation. Disable LVDS modes larger than the native
  resolution. Disable dual-link TMDS modes for now since they don't
  work reliably.
* Thu Jun 07 2007 - sndirsch@suse.de
- xf86-video-nv-g80.diff:
  * G80: Rearrange HW video timing computations
  * G80: LVDS support
* Thu Jun 07 2007 - sndirsch@suse.de
- xf86-video-ati-mergedfb-disable.diff:
  * disable MergedFB by default (Bug #279961)
- radeon-xrandr-dotclock.diff enabled again (Bugs #280362/#135749)
* Wed Jun 06 2007 - sndirsch@suse.de
- updated intel driver to current git (2007-06-05)
  * support for 945GME
  * support for 965GME/GLE
  * support for G33, Q35, Q33
  * bugfixes
* Mon Jun 04 2007 - sndirsch@suse.de
- do not overwrite i810 manual page with link to intel manual page
* Sun Jun 03 2007 - sndirsch@suse.de
- updated intel driver to current git (2007-06-03)
  * lot of bugfixes
- updated radeonrandr12 driver to current git (2007-06-03)
  * bugfixes
* Tue May 29 2007 - sndirsch@suse.de
- xf86-video-ati-rs482-singledac.diff:
  * rs480: only has single dac (Bug #276475)
* Thu May 24 2007 - sndirsch@suse.de
- fixed rpmlint library-without-ldconfig-postin errors
* Tue May 22 2007 - sndirsch@suse.de
- updated ATI RANDR1.2 driver (git 20070522)
  * Fix for infinite loop in RADEONGetLVDSInfo
  * cleanup
  * turn off all outputs in screeninit(). We'll turn on the ones we
  want later
  * Change default LVDS i2c line for powerpc
  * if connector is VGA set TMDS to none
  * several updates
  * fix crtc1 (un)blanking code after last commit
  * only add valid connectors
* Mon May 21 2007 - sndirsch@suse.de
- update ati driver to release 6.6.191:
  * Fix regular/"xinerama"/zaphod dualhead mode
  * radeon: fix up crtc debug dereference problem
  * radeon: add support for enabling direct rendering on RS480
  * radeon: fix build since patches for IBM don't actually build
  * radeon: fix build on older server
  * radeon: add support for DDC on some laptop chipsets
  * radeon: another attempt at fixing the mergedfb refresh rate
  * 9337: EDID modes do not participate in validation for CRT monitor
  * 10205: Radeon driver's own mode validation code does not work properly
  * Fixed typo in mode list generation.
  * Fix crash if MergedFB and secondary head not found
  * Fix inconsistent use of Mode lists.
  * Set sync polarity restriction flags even for non-"digital separate"
  monitors.
  * Disable RMX for IBM Lewis server.
  * radeon: Fix typo.
  * radeon: Guard some MergedFB specific code with info->MergedFB tests.
  * radeon: Don't shrink virtual size based on secondary modes.
  * radeon: Always sort modes when adding to list.
  * radeon: Link nearest modes by default for clone mode.
- obsoletes bug-263199_radeon-mergedfb-crash.diff,
  xf86-video-ati-6.6.191.diff
* Thu May 17 2007 - sndirsch@suse.de
- updated ATI RANDR1.2 driver (git 20070517)
* Thu May 17 2007 - sndirsch@suse.de
- updated nv driver to release 2.0.96
  * This release adds simple VBE-based dualhead support for pre-G80
  graphics cards. This mode has a few restrictions:
  1. Both heads must be connected when the system is booted.
  2. The same mode is used on both heads.
  3. The heads are always placed side-by-side.
  4. Only VBE modes are available.
  5. No Xinerama information is provided.
  Use ' Option "Dualhead" "on" ' for configuration.
* Mon May 14 2007 - sndirsch@suse.de
- disabled generation of kernel framebuffer blacklist (Bug #239194,
  comments #27, #28, #31)
* Fri May 11 2007 - sndirsch@suse.de
- updated ATI RANDR1.2 driver (git 20070511)
* Fri May 04 2007 - sndirsch@suse.de
- updated nv driver to release 2.0.95
  * This release adds experimental RandR-1.2 and EXA support for
  GeForce 8 series GPUs. The driver now depends on server version
  1.2 or higher because of the RandR 1.1 compatibility layer.
* Thu May 03 2007 - sndirsch@suse.de
- xf86-video-nv-8800ultra.diff:
  * support for GeForce 8800 Ultra
* Fri Apr 27 2007 - sndirsch@suse.de
- xf86-video-nv-20070425.tar.bz2
  * Merge branch 'randr-1.2'
  * G80: EXA infrastructure.
  * EXA: Add solid, copy, and UTS hooks.
  * Get EXA resizing working and document it.
  * Remove some old stuff from README.G80.
- obsoletes xf86-video-nv-G84_G86.diff
- obsoletes xf86-video-nv.randr12-20070421.tar.bz2
- obsoletes xf86-video-nv.randr12.diff
* Sat Apr 21 2007 - sndirsch@suse.de
- xf86-video-nv-G84_G86.diff:
  * GeForce 8300 GS and GeForce 8400 GS.
  * Add new chips to the manpage.
- updated "nvrandr12" driver to current git:
  * Depend on server 1.2 or higher. Remove support for building
  with the libc wrapper or without the Drawable XV argument.
  * G80: Remove AdjustFrame printout.
  * Steal RandR1.2 compat code from the Intel driver. Spruce it up
  a bit so that --with-xserver-source works even if there's a
  local compat copy.
  * Remove unused g80_ddc.h.
  * Always support G80.
* Fri Apr 20 2007 - sndirsch@suse.de
- intel driver release 2.0.0
  * Check for the PENDING message when reading the attached
  * Update read_response to include the try on PENDING status
  * Fix return status
  * Bug #10515: Fix module version number with more than one digit
  per field.
  * It's 2007 now.  Didn't I get the memo?
  * Avoid a magic number and correct a (currently harmless) ifdef
  in ResetState().
  * Turn off ALWAYS_SYNC in EXA.
  * Don't use extended regexps in sed when not necessary.
  * Bug #10520: i810 manpage not installed despite users expecting
  it to be there.
  * Add license headers to 965 programs.
  * Bug #10438: Fix 965 XV when sourcing from less than the full image.
  * Add all the possible ivch slave addresses (still commented out).
  * Fix i852 EXA Composite acceleration setup.
  * Don't try to init the XAA linear region unless we allocated
  memory for it.
  * Use I2C delay function instead of usleep.
  * Fix mismatching braces when XF86DRI_MM is not defined.
  * Clean up 1.2 xserver build support.
  * Eliminate LinearAlloc option and code.
  * Update version to 2.0.0
  * Fix build against xserver 1.2.
  * Fix crash on G965 XAA with LinearAlloc option
  * Update intel.man with 965GM chipset support
  * EXA: i830 render misc fix and cleanups
  * EXA: Add i830 supported pict format XRGB8888, XBGR8888
  * EXA: fix 830/845G pict format
  * EXA: fix i830 render
  * Fix mem list order and remove extra unbind call when free memory
* Wed Apr 18 2007 - sndirsch@suse.de
- updated nv driver to release 2.0.2:
  * This release adds product names for the GeForce 8600 GTS and GT,
  and the GeForce 8500 GT. It also contains a fix for bug 10360.
- obsoletes xf86-video-nv-1.diff, xf86-video-nv-2.diff
* Tue Apr 17 2007 - sndirsch@suse.de
- updated "mgarandr12" driver to current git
  * Added memcpy-based DownloadFromScreen implementation.
  * On G550, do A8 adds in hardware.
  * Make DRI initialization work when using EXA. Still need to
  implement InitBuffers and MoveBuffers for EXA.
  * Removed the debug messages for solid and copy ops.
  * Sync after UploadToScreen.
  * Default mode on G200SE of 1024x768 @ 16bpp. The poor thing has
  so little VRAM that you can't do any bigger than 640x480 at
  32bpp, so in the interest of having a reasonable screen size...
  * Disable MTRR support for PCIE G200SE cards, as it tickles
  hardware bugs.
  * Fix various timing bugs on the G200SE.
  * Shut up the compiler.
* Mon Apr 16 2007 - sndirsch@suse.de
- updated "nvrandr12" driver to current git:
  * G80: Get rid of debug printouts.
  * G80: Get DPMS working with RandR 1.2.
  * G80: Use the right mode struct when setting up an SOR.
* Fri Apr 13 2007 - sndirsch@suse.de
- bug-263199_radeon-autocrt.diff:
  * When a monitor in MonitorLayout is specified as "AUTOCRT", it
  is set to CRT if no monitor is found at all and the connector
  type allows for VGA monitors (that is: only on VGA, DVI-I,
  DVI-A). (Bug #263199)
* Thu Apr 12 2007 - sndirsch@suse.de
- bug-263199_radeon-mergedfb-crash.diff:
  * fixed MergedFB related Xserver crash (Bug #263199)
* Tue Apr 03 2007 - sndirsch@suse.de
- updated "nvrandr12" driver to current git:
  * G80: Get HW cursor working with RandR 1.2
- added two nv driver patches (xf86-video-nv-{1,2}.diff)
  * X.Org Bug #10360: Need to inject a mode corresponding panel
  width/height for validation
  * Remove extraneous DisplayModeRec allocation (Thanks to Luc
  Verhaegen for pointing this out)
* Tue Apr 03 2007 - sndirsch@suse.de
- intel driver release 1.9.94 (2.0 RC4)
  * In hopefully our last RC before release, here's
  xf86-video-intel 2.0 RC4. The big news in this one is the
  addition of 965GM support.  Also present are some EXA fixes,
  documentation updates, and moving the debug output under
  Option "ModeDebug" "YES".
* Thu Mar 29 2007 - sndirsch@suse.de
- updated "nvrandr12" driver to current git:
  * G80: Use xf86CrtcScreenInit and xf86SetDesiredModes.
  * G80: Improve output detection.
  * Detect output status for paired outputs together and cache
  status until the BlockHandler to avoid redundantly probing for
  EDIDs or performing load detection.
* Wed Mar 28 2007 - sndirsch@suse.de
- updated nv driver to release 2.0.1:
  * NVSync hangs in EnterVT, so don't call it there.
  * Fix broken prototype.
  * Fix warnings and bump to 2.0.1.
  * REALLY bump to 2.0.1.
- obsoletes xf86-video-nv-NVSync.diff
- updated "nvrandr12" driver to current git:
  * G80: Create output partners.
  * Each pair of outputs shares an I2C rec.  This will be used in
  a future change for the detect and get_modes routines.
  * Fix warnings.
* Tue Mar 27 2007 - sndirsch@suse.de
- update ati driver to release 6.6.191:
  * This is pre-release of the ATI driver aimed at 7.3. It doesn't
  contain randr1.2 support it does however contain a major
  re-write of the output mappings from what was known as Alex's
  superpatch. Please logs all regressions into bugzilla so we can
  fix them before the 6.7 release.
- obsoletes rn50_pixel_clock_limit.patch
- disabled radeon-xrandr-dotclock.diff for now (Bug #135749)
- disabled radeon_dell.diff (obsolete?) (Bug #138458)
- disabled "radeonrandr12" driver for now
* Tue Mar 27 2007 - sndirsch@suse.de
- intel driver release 1.9.93 (2.0 RC3)
  * Significant differences over the previous RC include fixes for
  larger 915-generation LVDS panels, fixes for rotation on the
  965, improved TV format selection, some SDVO output enabling
  fixes, I2C timing fixes to improve the chances of DDC, and
  cursor behavior fixes with RandR.
- obsoletes xf86-video-intel-[1-5].diff
* Wed Mar 21 2007 - sndirsch@suse.de
- added a bunch of intel driver patches (xf86-video-intel-[1-5].diff)
  from git (master branch):
  * Move vendor ID check in the utils to after pci_device_probe.
  * Make i830_sdvo_write_sdvox write everything twice.
  * Add debug output for ADPA.
  * Print the mode actually being set per pipe.
  * Attempt to fix single/dual-channel issues on i9xx LVDS panels.
* Tue Mar 20 2007 - sndirsch@suse.de
- xf86-video-nv-NVSync.diff:
  * NVSync hangs in EnterVT, so don't call it there.
* Mon Mar 19 2007 - sndirsch@suse.de
- updated nv driver to release 2.0.0
  * This release adds support for the NVIDIA GeForce 8800 GTX,
  GeForce 8800 GTS, Quadro FX 4600, and Quadro FX 5600 GPUs.
  It also fixes a few bugs for earlier graphics cards.
- obsoletes patches:
  * xf86-video-nv-DAC.diff
  * xf86-video-nv-corruption-cursor.diff
  * xf86-video-nv-switchmode-freeze.diff
  * xf86-video-nv-vesafb-vga.diff
* Sun Mar 18 2007 - sndirsch@suse.de
- updated optional RANDR 1.2 drivers radeon/nv/mga (2007-03-18):
  * "First stab at RandR 1.2. This will only work on G450/G550
  cards."
* Sat Mar 17 2007 - sndirsch@suse.de
- xf86-video-nv-switchmode-freeze.diff:
  * Avoid hanging when switching modes on some nv4x cards
  (Bug #235171)
* Fri Mar 16 2007 - sndirsch@suse.de
- xf86-video-nv-corruption-cursor.diff:
  * fix GXxor corruption on nv4x (Bug #246421)
  * Hide the cursor in CloseScreen. Otherwise, if we're restoring a
  graphical framebuffer mode the cursor will still be visible.
* Thu Mar 15 2007 - sndirsch@suse.de
- xf86-video-nv-vesafb-vga.diff:
  * Fix VGA output with vesafb on nv4x and G7x GPUs (Bug #160812)
* Wed Mar 14 2007 - sndirsch@suse.de
-  intel driver release 1.9.92 (2.0 RC2):
  * Major changes in this release include moving more code to the
  X Server, fixing 3D performance regressions, fixing Mac Mini
  DPMS, potential fixes for some LVDS issues on 855 and 915,
  fixes for many segfaults, and the off-by-default pageflipping
  support.
* Wed Mar 14 2007 - sndirsch@suse.de
- updated intel driver to current git master branch (2007-03-14)
* Tue Mar 13 2007 - sndirsch@suse.de
- updated siliconmotion driver to release 1.5.1
  * clean up source formatting
  * Add EXA support (Solid and Copy)
  * actually program the vclk
  * fix hangs at startup due to engine not being active
  * fix clk calculation on older lynx chips
* Mon Mar 12 2007 - sndirsch@suse.de
- added optional drivers with experimental RANDR 1.2 support
  ("radeonrandr12", "nvrandr12")
* Sat Mar 10 2007 - sndirsch@suse.de
- xf86-video-nv-DAC.diff:
  * Use DAC load detection to decide which OR to use instead of
  trusting the EDID.
* Fri Mar 09 2007 - sndirsch@suse.de
- updated nv driver to release 1.99.1:
  * This release adds support for the NVIDIA GeForce 8800 GTX,
  GeForce 8800 GTS, Quadro FX 4600, and Quadro FX 5600 GPUs. It
  should be considered beta quality.
* Tue Mar 06 2007 - sndirsch@suse.de
- do not overwrite "i810" driver with symlink to "intel" driver; we
  still need two different Intel drivers ("i810" + "intel")
* Mon Mar 05 2007 - sndirsch@suse.de
- updated to "intel" (modesetting) driver release 1.9.91; obsoletes
  additional "i810beta"/"i810sdvo" drivers
- specfile cleanup
* Thu Mar 01 2007 - sndirsch@suse.de
- xf86-video-ati-mergedfb-dpi.diff:
  * fixes DPI values for mergedfb configs (Bug #239033)
* Fri Feb 23 2007 - sndirsch@suse.de
- added blacklist for kernel fb modules (Bug #239194)
* Tue Feb 13 2007 - sndirsch@suse.de
- updated vmware driver to release 10.15.0
  * Provide truely usable resizing support with the ability to
  resize larger than the initial size and no wasted framebuffer
  space. As a bonus, a variety of useful resolutions are built
  in to the driver and always available.
* Mon Feb 05 2007 - sndirsch@suse.de
- removed "-nostdlib/-lgcc" to fix loading of mga_hal module
  (Bug #242127)
* Tue Jan 30 2007 - sndirsch@suse.de
- rn50_pixel_clock_limit.patch:
  * resolves video corruption problem on ES1000 (X.Org Bug #5766)
* Tue Jan 09 2007 - sndirsch@suse.de
- updated i810 driver to release 1.7.4
  * Fix bug #8536, i915 BIOS fails when restarting Xserver.
* Fri Dec 29 2006 - sndirsch@suse.de
- updated fbdev driver to release 0.3.1
  * Fix shadow framebuffer, and by extension rotation. (Bug #7961)
  * obsoletes xf86-video-fbdev-disable-shadowfb.diff,
  xf86-video-fbdev.diff
* Wed Dec 27 2006 - sndirsch@suse.de
- updated mga driver to release 1.4.6.1
  * No changes, just a respin against a newer util-macros.
- updated nv driver to release 1.2.2.1
  * No changes, just a respin against a newer util-macros.
* Sun Dec 17 2006 - sndirsch@suse.de
- updated mga driver to release 1.4.6
  * Makefile.am: fix ChangeLog hook
  * Use the XORG_RELEASE_VERSION autoconf macro.
  * More janitoring work.
  * Removed a duplicated register definition.
- updated nv driver to release 1.2.2
  * Remove redundant XORG_RELEASE_VERSION
  * Makefile.am: make ChangeLog hook safer
- updated rendition driver to release 4.1.3
  * Makefile.am: make ChangeLog hook safer
* Sat Dec 09 2006 - sndirsch@suse.de
- added optional "i810sdvo" driver for SDVO support
  ("modesetting-sdvo-stuffing" branch)
* Fri Dec 08 2006 - sndirsch@suse.de
- intel modesetting driver: back to GIT 2006-11-21 due to undefined
  xf86DDCGetModes symbol (requires newer xserver)
* Fri Dec 08 2006 - sndirsch@suse.de
- updated vmware driver to release 10.14.1
  * Fix use of uninitialised buffer in static xinerama topology
  parsing
* Thu Dec 07 2006 - sndirsch@suse.de
- updated i810 driver to release 1.7.3
  * Make VIDEO_DEBUG into a configure option
  * Fix manpage to report 8160 instead of 6144 for LinearAlloc.
  * Add some MergedFB checks for accelerator limitations
  * Disable some debug message
  * update port attributes immediately when overlay is on.
  * Be a little more verbose when rejecting modes.
  * Don't crash if SetCursorPosition is called with pScrn->currentMode == NULL.
  * Add support for the new DRM memory manager.
  * Bug 8594: Fix Xv hang with G965
  * obsoletes patches
    - xf86-video-i810-965g-xv-hang.diff
    - xf86-video-i810-disable-debug.diff
    - xf86-video-i810-linearalloc.diff
    - xf86-video-i810-mergedfb-checks.diff
    - xf86-video-i810-modelines-verbose.diff
    - xf86-video-i810-newdrm.diff
    - xf86-video-i810-setcursorposition.diff
    - xf86-video-i810-update-port-attributes.diff
    - xf86-video-i810-video-debug.diff
* Tue Dec 05 2006 - sndirsch@suse.de
- updated nv driver to release 1.2.1
  * Save and restore DAC0 register 608 when probing for connected
  CRTs. Adapted from a patch by Egbert Eich for Novell bug
  [#220197] (obsoletes xf86-video-nv-bug220197.diff).
  * Use XORG_RELEASE_VERSION.
  * Handle more than 1 digit in the version numbers. Based on a
  change by George Sapountzis <gsap7@yahoo.gr>.
  * Replace panel message + MODE_BAD with MODE_PANEL.
* Sun Dec 03 2006 - sndirsch@suse.de
- updated s3 driver to release 0.5.0
  * Evgeny M. Zubok: Make the driver work with modular X (bug 7112)
- updated mga driver to release 1.4.5
  * Minor typofix that was causing configure to exit with a syntax
  error
  * Enabled the Exa composite hooks on G550.
  * Bug #2168: Fix graphics corruptions with Mystique rev 2.
  * Removed some duplicated register definitions.
  * Removed some unused defines from mga_reg.h.
  * Register name tweak.
  * Use register names in MGASaveScreenMerged() rather than magic numbers.
  * Replaced more magic values with register names.
  * Removed a duplicated register definition.
  * Made some XAA function static.
- updated sis driver to release 0.9.3
  * include stdlib.h for strtod
- updated vesa driver to release 1.3.0
  * Fix shadow support yet again.
- updated i128 driver to release 1.2.1
  * Revision-number-only change for sequentiality.
- updated tdfx driver to release 1.3.0
- updated intel modesetting driver (git_2006-12-04)
- xf86-video-i810-newdrm.diff:
  * Add support for the new DRM memory manager
* Sat Dec 02 2006 - sndirsch@suse.de
- newdrm.diff obsolete with libdrm 2.3.0
* Fri Dec 01 2006 - sndirsch@suse.de
- bug220197.diff:
  Save and restore DAC0 register 608 when probing for connected
  CRTs (Bug #220197)
* Fri Nov 24 2006 - sndirsch@suse.de
- xf86-video-fbdev-disable-shadowfb.diff:
  * fbdev: disable use of shadowfb by default (Bug #220171)
* Wed Nov 22 2006 - sndirsch@suse.de
- xf86-video-i810-update-port-attributes.diff:
  * update port attributes immediately when overlay is on.
- xf86-video-i810-modelines-verbose.diff
  * Be a little more verbose when rejecting modes.
* Tue Nov 21 2006 - sndirsch@suse.de
- updated (optional) intel modesetting driver (git_2006-11-21)
  * Enable second SDVO channel. Rework SDVO support so that it
  can deal with two channels correctly, also save/restore all
  connected output timings.
  * Set configured values for screen virtual size and initial
  frame. Computation for virtual size and initial frame origin
  is quite broken in xf86 common code.
* Sun Nov 19 2006 - sndirsch@suse.de
- xf86-video-i810-disable-debug.diff:
  * disable some debug message (Alan Hourihane)
* Sun Nov 19 2006 - sndirsch@suse.de
- updated (optional) intel modesetting driver (git_2006-11-19)
  * Fix TV color key. Subcarrier defines were incorrect in header
  file leaving one of the DDA phases disabled.
  * Preliminary 945 TV output. Color key is broken. Fixed mode. TV
  output is generating video with this patch, but the color burst
  signal is incorrect somehow.
  * Disable some debug message
  * Bug 8594: Fix Xv hang with G965
  * Add support for the new DRM memory manager.
  Some code are duplicated with the new libdrm.
  Once this code has been released with xserver,
  it can be removed. See the man page for new options and
  backwards 3D driver compatibility.
  * Add some MergedFB checks for accelerator limitations
  * Fix manpage to report 8160 instead of 6144 for LinearAlloc.
  * Don't crash if SetCursorPosition is called with
  pScrn->currentMode == NULL. This allows the driver to work with
  servers that don't have the fix for this that was only recently
  pushed to git.
  * Make VIDEO_DEBUG into a configure option
  * Bump to 1.7.2
  * Ugh. Turn off debugging.
  * Fix bug #8553 & #8542 - suspend/resume regression from 1.5
  driver
  * Fix some warnings
  * Fix server regeneration problem mapping the aperture
  * Fix bug #5795, VT switching fails because of a bad test on some
  platforms.
  * Enable XV_PORT attribute even when not in Clone mode. As Clone
  mode is now something that can change after server startup,
  always enable the XV_PORT attribute as we cannot change the list
  of reported attributes.
  * silence warning
  * Missing gamma bit
  * Fix issues with Xv locking up the engine. bug #7915.
  * Always call I830UpdateXineramaScreenInfo() unconditionally, and
  document why.
  * Store viewport limits of both pipes in SAREA. This allows DRI
  clients to determine which pipe they should synchronize buffer
  swaps of each window to.
  * If the DRM can handle it, enable vertical blank interrupts for
  both pipes.
  * Only enable the IRQ after DRIFinishScreenInit. This makes sure
  we've been assigned a context ID, so the interrupt context won't
  mess things up if it grabs the HW lock.
  * Fix bug #7943 where video flickers when changing
  attributes. This code was a leftover from testing lockups
  and shouldn't be needed anymore.
  * Typo fix in man page (Debian bug #364559).
  * bump max Xvideo height to 1088 to cope with some players.
- newdrm.diff (reverse applied):
  * disables new drm (2.2) stuff in intel modesetting driver
* Fri Nov 17 2006 - sndirsch@suse.de
- updated (optional) intel modesetting driver (git_2006-11-17)
* Mon Nov 06 2006 - sndirsch@suse.de
- updated rendition driver to release 1.2.3
  * Build fix for systems with <elf_abi.h> instead of <elf.h>
  (X.Org Bug #7707)
- updated intel modesetting driver (git_2006-11-06)
* Fri Nov 03 2006 - sndirsch@suse.de
- updated trident dirver to release 1.2.3
  * Remove spurious line that stops blit's from working (on XP4/XP5)
* Fri Nov 03 2006 - sndirsch@suse.de
- updated intel modesetting driver (git_2006-11-03)
* Thu Nov 02 2006 - sndirsch@suse.de
- updated vmware driver to release 10.14.0
  * Add Xinerama support.
- updated intel modesetting driver (git_2006-11-02)
* Mon Oct 30 2006 - sndirsch@suse.de
- added intel modesetting driver "i810beta" (optional)
* Mon Oct 30 2006 - sndirsch@suse.de
- xf86-video-i810-video-debug.diff:
  * Make VIDEO_DEBUG into a configure option
- xf86-video-i810-linearalloc.diff:
  * Fix manpage to report 8160 instead of 6144 for LinearAlloc.
- xf86-video-i810-setcursorposition.diff:
  * Don't crash if SetCursorPosition is called with
  pScrn->currentMode == NULL. This allows the driver to work
  with servers that don't have the fix for this that was only
  recently pushed to git.
- xf86-video-i810-mergedfb-checks.diff:
  * Add some MergedFB checks for accelerator limitations
- xf86-video-i810-965g-xv-hang.diff:
  * X.Org Bug 8594: Fix Xv hang with G965
* Sat Oct 28 2006 - sndirsch@suse.de
- updated mga driver to release 1.4.4:
  * Fix initialization issues that led to DRI lock-ups on some G400
  configurations. Minor code refactoring.
* Wed Oct 25 2006 - sndirsch@suse.de
- reverted latest change; i82875p_edac should be blacklisted in
  global blacklist instead (Bug #213840)
* Tue Oct 24 2006 - sndirsch@suse.de
- make sure that intel-agp is loaded before i82875p_edac kernel
  module (Bug #213840)
* Sat Oct 14 2006 - sndirsch@suse.de
- X.Org 7.2RC1 package update:
  * xf86-video-i128-1.1.0.6
  * xf86-video-voodoo-1.1.1
  * xf86-video-nsc-2.8.2
  * xf86-video-tseng-1.1.1
  * xf86-video-sis-0.9.2
  * xf86-video-vesa-1.2.2
  * xf86-video-newport-0.2.1
  * xf86-video-via-0.2.2
  * xf86-video-tdfx-1.2.2
  * xf86-video-mga-1.4.3
  * xf86-video-trident-1.2.2
  * xf86-video-rendition-4.1.1
  * xf86-video-siliconmotion-1.4.2
* Fri Oct 13 2006 - sndirsch@suse.de
- update i810 driver to release 1.7.2
  * Turn off debugging.
* Fri Oct 13 2006 - sndirsch@suse.de
- update i810 driver to release 1.7.1
  * Fix bug #8553 & #8542 - suspend/resume regression from ...
  * Fix some warnings
  * Fix server regeneration problem mapping the aperture
  * Fix bug #5795, VT switching fails because of a bad ...
  * silence warning xf86-video-intel-1.7.0 / xf86-video-i810-1.7.0
  * Enable XV_PORT attribute even when not in Clone mode.
* Wed Oct 11 2006 - sndirsch@suse.de
- fixed build of via driver (build enabled again, Bug #207118)
* Mon Oct 09 2006 - sndirsch@suse.de
- update savage driver to release 2.1.2
  * EXA support (copy and solid only)
  * PCI BAR refactoring (preparation for PCI-rework)
  * fix DRI locking
  * bug fixes
- update i810 driver to release 1.7.0
  * Typo fix in man page (Debian bug #364559).
  * Fix bug #5150. Disable LVDS usage on i915G, i945G and i965G.
  * Disable device check when mergedfb in operation.
  * Fix bug #7930, i810 doesn't compile without DRI
  * remove GL* usage
  * fix typo
  * Fix SetVBlank to operate all the time
  * Fix bug with probing info of DFP2 and LFP2 connected
  * When in MergedFB mode, fix offscreen memory allocation.
  * Fix bug #7943 where video flickers when changing
  * bump max Xvideo height to 1088 to cope with some players.
  * Fix issues with Xv locking up the engine. bug #7915.
  * Missing gamma bit
  * bump to 1.7.0
  * silence warning
  * Bug #7905: Mark DRI state as dirty in 965 textured video,
  fixing hangs with 3d.
  * Add a check for intel-gen4asm, and rules to compile
  {wm,sf}_prog.h using it.
  * Fix a compile failure from the last commit.
  * Only enable the IRQ after DRIFinishScreenInit.
  * If the DRM can handle it, enable vertical blank interrupts for
  both pipes.
  * Store viewport limits of both pipes in SAREA.
  * Always call I830UpdateXineramaScreenInfo() unconditionally, and
  document why.
  * Fix undefined alloc type for agp memory
- update ati driver to release 6.6.3
  * The main fix is for rn50/M6/M7 stability problems since memmap
  * obsoletes radeon_rn50_memmap.diff
* Wed Sep 20 2006 - sndirsch@suse.de
- disabled build of via driver for now (Bug #207118)
* Tue Sep 19 2006 - sndirsch@suse.de
- update to mga driver to release 1.4.2
  * Fix locking issues that prevented DRI from working. Some
  compile warnings were also removed and some code refactored.
  * obsoletes xf86-video-mga.diff
* Mon Sep 18 2006 - sndirsch@suse.de
- radeon_rn50_memmap.diff/radeon_rn50_memmap-sle10.diff:
  * This should fixup the rn50/m6/m7 memory map problem that has
  been reported since BenH's memory mapping changes (Bug #204882)
* Wed Sep 13 2006 - sndirsch@suse.de
- radeon-vbios-ppc.diff:
  * let RADEONGetBIOSInfo fail on ppc as before since content in
  VBIOS on ppc seem to be bogus anyway (Bug #197847)
  * obsoletes radeon-min_dotclock.diff
* Fri Sep 01 2006 - sndirsch@suse.de
- removed Requires: xorg-x11-server, since xorg-x11-input-video is
  already required by xorg-x11-server, which resulted in a fatal
  dependancy cycle
* Mon Aug 28 2006 - sndirsch@suse.de
- radeon-min_dotclock.diff:
  * check for bogus minclock in VBIOS and set a reasonable value
  instead (Bug #197847)
* Fri Aug 25 2006 - sndirsch@suse.de
- updated ati/r128/radeon driver combo to release 6.6.2 -
  "Lots of fixes, mostly the best ones are stability for r300."
- obsoletes p_bug148696.diff, radeon_bios.diff,
  rn50_disable-render-accel.diff
* Fri Aug 11 2006 - sndirsch@suse.de
- updated i810/intel driver to release 1.6.5
  * Fixes DRI compatibility with pre-1.6.4 releases, and improves
  i915 textured video.
* Thu Aug 10 2006 - sndirsch@suse.de
- updated i810/intel driver to release 1.6.4
  * New release providing i965 support
* Tue Aug 08 2006 - sndirsch@suse.de
- updated i810/intel driver to release 1.6.3
  * Add mergedfb support to the intel driver
  * Update Xvideo to deal with MergedFB modes.
  * When detecting new monitors in mergedfb renew the modepool.
  * Calculate allowable refresh rates on the private
  * Fix pipe reversal for Xv
  * Fix DGA with MergedFB
  * Ensure palette is updated in mergedfb & clone modes
  * Disable detecting of new monitors on VT switch.
  * Re-enable monitor detect after a few fixups.
  * check for xineramaproto
- disabled p_i810-refresh.diff due to radical driver changes for
  now
* Sun Aug 06 2006 - sndirsch@suse.de
- p_i810-refresh.diff:
  * refresh rates fixes (Bug #102345)
* Tue Aug 01 2006 - sndirsch@suse.de
- fixed build of nsc driver by adding -DXFree86Server to CFLAGS
* Sat Jul 29 2006 - sndirsch@suse.de
- fixed fatal compiler warnings
* Fri Jul 28 2006 - sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 - sndirsch@suse.de
- build Matrox HAL library (required for MergedFB and other
  features)
* Thu Jul 27 2006 - sndirsch@suse.de
- use $RPM_OPT_FLAGS
* Thu Jul 27 2006 - sndirsch@suse.de
- updated i810 driver to release 1.6.1
* Tue Jul 25 2006 - sndirsch@suse.de
- fixed fatal compiler warnings
* Tue Jun 27 2006 - sndirsch@suse.de
- created package
